(* Copyright (C) 1994, Digital Equipment Corporation           *)
(* All rights reserved.                                        *)
(* See the file COPYRIGHT for a full description.              *)
(*                                                             *)
(* Last modified on Mon Oct 30 10:33:37 EDT 1995 by dagenais   *)

INTERFACE M3Browser;

IMPORT TextSeq, TCPServer;

(* The Modula-3 browser must first be initialized with the relevant
   parameters. Once in a while the Refresh procedure may be called to
   have the browser reread the data files. Finally, the ProcessRequest
   procedure receives as argument a request to process and produces
   an HTML text. *)

PROCEDURE Init(roots: TextSeq.T; exclude: TextSeq.T; base: TEXT;
    serverName: TEXT; serverSocket: INTEGER;
    derivedDirs: TextSeq.T; hrefRoot: TEXT; verb: INTEGER;
    titlePage: BOOLEAN; refreshInterval: LONGREAL);

PROCEDURE Refresh (<*UNUSED*> service: TCPServer.T);

PROCEDURE ProcessRequest (<*UNUSED*>service: TCPServer.T;  req: TEXT): TEXT;

END M3Browser.
